/* Common styles */
h2 {
  margin: 0;
  font-family: "Audiowide", sans-serif;
  font-size: 20px;
  color: var(--secondary-light-color);
  text-shadow: 2px 0 #fff, -2px 0 #fff, 0 2px #fff, 0 -2px #fff,
    2px 2px #fff, -2px -2px #fff, 2px -2px #fff, -2px 2px #fff;
}

p {
  margin: 0;
}

select {
  border: 2px solid var(--secondary-color);
  border-radius: 8px;
  padding: 8px;
}

select:focus {
  border: 2px solid var(--primary-color);
  border-radius: 8px;
  padding: 8px;
}

/* Container styles */

#editor-container {
  position: relative;

  @media screen and (min-width: 768px) {
    width: calc(100% - 130px);
    padding: 64px;
  }

  @media screen and (max-width: 767px) {
    padding: 16px;
  }
}

.page-title-container {
  position: relative;
  display: flex;
  width: 100%;
  justify-content: center;
}

.page-title-container > img {
  position: absolute;
  z-index: 1;

  @media screen and (min-width: 933px) {
    top: -110px;
    width: 70%;
    max-height: 300px;
  }

  @media screen and (min-width: 768px) and (max-width: 932px) {
    top: -50px;
    width: 70%;
  }

  @media screen and (max-width: 767px) {
    width: 70%;
  }
}

#editor-container > #editor {
  display: flex;
  flex-direction: column;
  gap: 32px;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin-top: 32px;
  padding: 64px;
  position: relative;
  background-color: var(--transparent-white-color);
  border: 1px solid var(--text-color);
  border-radius: 16px 0 16px 16px;

  @media screen and (max-width: 767px) {
    padding: 16px;
  }
}

/* Generator styles*/

#preview {
  display: flex;
  justify-content: center;
  width: 256px;
  height: 256px;
  border: 2px solid var(--secondary-color);
}

.location-configs {
  display: flex;
  flex-direction: column;
  gap: 16px;

  @media screen and (max-width: 767px) {
    gap: 32px;
  }
}

.selector {
  display: flex;
  gap: 32px;
  justify-content: space-between;
  align-items: center;

  @media screen and (max-width: 767px) {
    flex-direction: column;
    gap: 8px;
    justify-content: center;
    align-items: start;
  }
}

.selector.hidden {
  display: none;
}

.selector > .label-container {
  display: flex;
}

.selector > .label-container > button {
  border: none;
  background-color: transparent;
}

.selector > .label-container > button:hover {
  cursor: pointer;
}

.selector > .label-container > label {
  font-weight: bold;
  color: var(--secondary-color);
}

.selector > .controls {
  display: flex;
  justify-content: center;
  align-items: end;
  gap: 16px;
  width: 50%;

  @media screen and (max-width: 932px) {
    width: 60%;
  }

  @media screen and (max-width: 767px) {
    width: 100%;
  }
}

.selector > .controls > p {
  min-width: 175px;
  text-align: center;
  align-self: center;
  margin: 0;
}

.selector > .controls > button {
  width: fit-content;
  height: fit-content;
  padding: 4px 8px;
  border: none;
  border-radius: 8px;
  color: white;
  background-color: var(--secondary-color);
}

.selector > .controls > button.next {
  border-bottom: 2px solid var(--secondary-dark-color);
}

.selector > .controls > button.prev {
  rotate: 180deg;
  border-top: 2px solid var(--secondary-dark-color);
}

.selector > .controls > button:hover {
  cursor: pointer;
  background-color: var(--secondary-dark-color);
  border: none;
}

.selector > .controls input {
  max-width: 50px;
  padding: 4px;
  border: 2px solid var(--secondary-color);
  border-radius: 4px;
}

#download {
  display: flex;
  align-items: end;
  min-height: 50px;
}

#download > button {
  height: fit-content;
  width: fit-content;
  padding: 8px 32px;
  border: none;
  border-radius: 8px;
  color: white;
  background-color: var(--secondary-color);
  border-bottom: 2px solid var(--secondary-dark-color);
}

#download:hover > button {
  cursor: pointer;
  background-color: var(--secondary-dark-color);
  border: none;
}

#disclaimer {
  max-width: 400px;
}

#disclaimer > p {
  color: var(--secondary-color);
  font-size: 0.8rem;
}

/* Filter styles */

#filters, #info {
  flex: 0;
  display: flex;
  flex-direction: column;
  padding: 32px;
  gap: 32px;
  min-width: 20%;

  @media screen and (max-width: 767px) {
    padding: 16px;
    width: calc(100% - 32px);
    gap: 16px;
  }
}

#filters.desktop {
  @media screen and (max-width: 1200px) {
    display: none;
  }
}

#filters.mobile {
  @media screen and (min-width: 1201px) {
    display: none;
  }
}

#filters > #selectors {
  display: flex;
  flex-direction: column;
  gap: 16px;

  @media screen and (max-width: 767px) {
    gap: 8px;
  }
}

/* Modal styles */

.modal {
  top: 0;
  border: none;
  height: 100%;
  width: -webkit-fill-available;
  background: var(--transparent-purple-color);
  position: fixed;
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-content {
  background: var(--transparent-white-color);
  padding: 16px;
  border-radius: 16px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-width: 400px;
  gap: 32px;

  @media screen and (max-width: 767px) {
    width: 100%;
    height: 90%;
  }
}

.modal-image {
  background-size: 100% 100%;
  background-position: 0px 0px,0px 0px,0px 0px,0px 0px,0px 0px;
  background-image: radial-gradient(49% 81% at 45% 47%, #FFFFFF45 0%, #073AFF00 100%),radial-gradient(113% 91% at 17% -2%, #FD83FFFF 1%, #FF000000 99%),radial-gradient(142% 91% at 83% 7%, #FFD38DFF 1%, #FFFFFF94 99%),radial-gradient(142% 91% at -6% 74%, #FF83DEFF 1%, #FF000000 99%),radial-gradient(142% 91% at 111% 84%, #FFFFFFFF 0%, #F700FFFF 100%);
  border-radius: 8px;
  box-shadow: 0 0 4px var(--primary-color);
  padding: 4px;
}

.modal-description {
  width: 70%;
  background: var(--transparent-purple-color);
  border-radius: 8px;
  min-height: 80px;
}

.modal-description p {
  color: white;
  margin: 8px;
}

.modal-description > p:first-of-type {
  font-weight: bold;
}

.close-button {
  border: none;
  background: var(--transparent-purple-color);
  border-radius: 16px;
  height: 32px;
  width: 32px;
  position: absolute;
  top: 4px;
  right: 4px;
  z-index: 3;
  cursor: pointer;
  font-size: 18px;
  color: white;
}

/* Decoration styles */

#background {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: -1;
  background-image: url('/assets/shrines/tamagotchi/ui/background.png');
  background-repeat: repeat;
  mix-blend-mode: soft-light;
}
